typedef int datatype;
typedef struct Node
{
	int data;
	
	struct Node *next;
}NODE;

typedef struct Node_Err
{
  NODE *node;
  int err;
}NODE_ERR;

void print_node_at(NODE *head, int pos);
void print_list(NODE *head);
void print_node(NODE *head);
NODE_ERR psearch(NODE *head, datatype data);
NODE_ERR search(NODE *head, datatype data);
NODE *construct(datatype data, NODE *next);
NODE *traverse(NODE *head, int pos);
int delete_node_after(NODE *head);
void delete_list(NODE *head);
//int delete_node_at(NODE *head, int pos);
//int delete_node(NODE *head, datatype data);
NODE *construct_list(datatype list[], int size);
int add_to_end(NODE *head, datatype new_data);
int insert_node(NODE *head, int pos, datatype new_data);
int insert_node_after(NODE *head, datatype data);
int length(NODE *head);
